@import "src/app/static/style/basic";


.Container {
  display: flex;
  flex-direction: column;
  padding: 50px;
  background: $color-light;
  box-shadow: rgba($color-dark, 0.3) 0 10px 20px 0;
  border-radius: $dimen-rounded-low;
  margin: 20px 0;

  @media only screen and (max-width: 992px) {
    padding: 10px;
    margin: initial;

  }

  .Product {
    display: flex;
    align-items: center;
    border: 2px solid #eee;
    margin-bottom: 20px;
    border-radius: $dimen-rounded-low;
    @media only screen and (max-width: 992px) {
      flex-direction: column;
      margin-bottom: initial;
      text-align: center;
      padding: 10px;
    }
  }

  .Trash {
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 2.5rem;
    color: darken($color-yellow, 30);
    @media only screen and (max-width: 992px) {
      position: absolute;
      right: 20px;
      top: 80px;
    }
  }

  .Image {
    height: 130px;
    margin: 10px;
  }

  .Body {
    flex-grow: 1;

    .Title {
      width: 300px;
      text-align: center;
      padding: 5px;
      box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
      border-radius: $dimen-rounded-low;
      color: $color-green;
      font-size: 1.8rem;
      @media only screen and (max-width: 992px) {
        font-size: 1.3rem;
        width: 250px;
      }
    }


    .BoxPrice {
      display: flex;
      align-items: center;

      .Price {
        text-align: center;
        border-radius: $dimen-rounded-low;
        display: inline-block;
        padding: 5px;
        margin-right: 10px;
        width: 100px;
        color: lighten($color-dark, 30);
        font-size: 1.5rem;
        box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
      }

      .Text {
        font-size: 1.2rem;
        border-radius: $dimen-rounded-low;
        text-align: center;
        display: inline-block;
        color: $color-green;
        padding: 5px;
        box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
        width: 70px;
      }

    }

    .BoxColor {
      display: flex;
      align-items: center;

      .Color {
        border-radius: $dimen-rounded-high;
        margin-right: 10px;
        width: 30px;
        height: 30px;
      }

      .Text {
        font-size: 1.2rem;
        border-radius: $dimen-rounded-low;
        text-align: center;
        display: inline-block;
        color: $color-green;
        padding: 5px;
        box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
        width: 70px;
      }
    }

    .PlusMines {
      display: flex;
      align-items: center;
      margin: 10px;
      @media only screen and (max-width: 992px) {
        margin: initial;
      }

      .Plus {
        display: flex;
        justify-content: center;
        padding: 5px 10px;
        cursor: pointer;
        border: none;
        border-radius: $dimen-rounded-low;
        font-size: 1.5rem;
        color: $color-green;
        background-color: transparent;
        box-shadow: rgba($color-dark, 0.3) 0 5px 10px 0;

      }

      .Quantity {
        text-align: center;
        width: 30px;
        font-size: 1.5rem;
      }

      .Mines {
        display: flex;
        justify-content: center;
        padding: 5px 10px;
        cursor: pointer;
        border: none;
        border-radius: $dimen-rounded-low;
        font-size: 1.5rem;
        color: $color-green;
        background-color: transparent;
        box-shadow: rgba($color-dark, 0.3) 0 5px 10px 0;
      }
    }
  }

  .Empty {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;

    .textEmpty {
      font-size: 1.5rem;
    }

    .IconEmpty {
      font-size: 80px;
    }
  }
  .BoxTotalPrice{
    display: flex;
    align-items: center;
    .TotalPriceText{
      font-size: 1.2rem;
      border-radius: $dimen-rounded-low;
      text-align: center;
      display: inline-block;
      color: $color-green;
      padding: 5px;
      box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
      width: 100px;
    }
    .TotalPrice{
      text-align: center;
      border-radius: $dimen-rounded-low;
      display: inline-block;
      padding: 5px;
      margin-right: 10px;
      width: 100px;
      color: lighten($color-red, 10);
      font-size: 1.2rem;
      box-shadow: rgba($color-dark, 0.3) 0 5px 15px 0;
    }
  }

}